CON
  _xinfreq = 5_000_000          'My prop demo board has built-in 5MHz crystal
  _clkmode = xtal1 + pll16x     '80MHz clock freq   (16*5MHz = 80MHz)

VAR

long ADCX, ADCY, v1, v2
       
long stackADC[1000]
long stackmotspeed[1000]

OBJ
    COMM_ADC   :     "bax_LTC1298_getADC"

OBJ
 vp: "conduit"

PUB baxADCcogMotCtrl 
 
  cognew(viewportADC, @stackADC)
  {WHEN PASSED BY REFERENCE, THIS WORKED IN THAT THE MOTORS DID SPIN, BUT NO SPEED CONTROL.}
  cognew(motspeed, @stackmotspeed)


PUB motspeed| TclicksMotX, deltaTclicksMotX,ADCXNUM,poop
  vp.share(@v1,@v2)
 
   dira[3..6]~~   
  TclicksMotX := cnt
 
  repeat
    v1:=ADCY 
    'v2:=ADCX
    
    deltaTclicksMotX := clkfreq/1000                    'any hard number like "100" or "1000" works fine, 
                                                        'and correctly changes the !outa[]  pin states in
                                                        'accordance with the waitcnt command.                                     
    'deltaTclicksMotX := clkfreq/ADCX does not work, and makes v1 nd v2 display both as zero.

    v2:= (ADCY*10000)/(ADCX*2)                          'This line displays just fine in the Viewport debug window
                                                        'so I know that the values are being passed                   
    waitcnt( TclicksMotX += deltaTclicksMotX)   
    !outa[4]
    !outa[6]
                           
    'Does Viewport somehow "squeeze" the displayed values coming from the LTC1298 into what SEEMS to be a number
    'on the debug screen, yet is actually something else? (Note to self: Maybe I need to pass the value by reference
    

    


PUB viewportADC| ADCCPS, TclicksADC, deltaTclicksADC, startpin
    
    
  startpin := COMM_ADC.ADCstartpin(0)
  
  ADCCPS := 400
  deltaTclicksADC := clkfreq/ADCCPS
  TclicksADC := cnt

  repeat  

    ADCX := COMM_ADC.GetADC(1)  
    ADCY := COMM_ADC.GetADC(0)

    waitcnt(TclicksADC += (deltaTclicksADC-COMM_ADC.delay_us(5)))      
